VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
VstModule Class Reference

This handles the plug-in factory in its library. More...

`#include <validator.h>`

Inheritance diagram for VstModule:

## Public Member Functions
| VstModule (const char *path)
| ~VstModule () override
bool | isValid () const
IPluginFactory * | getFactory ()

## Public Attributes
OBJ_METHODS(VstModule, FObject) protected IPluginFactory * | factory

## Detailed Description

This handles the plug-in factory in its library.

## Constructor & Destructor Documentation

VstModule | ( | const char * | path | ) |

~VstModule | ( |  | ) |
| override

## Member Function Documentation

bool isValid | ( |  | ) | const

IPluginFactory* getFactory | ( |  | ) |
| inline

## Member Data Documentation

OBJ_METHODS (VstModule, FObject) protected IPluginFactory* factory

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.